summaryrefslogtreecommitdiff
path: root/app-portage/mirrorselect/mirrorselect-9999.ebuild
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2018-07-14 21:03:06 +0100
committerV3n3RiX <venerix@redcorelinux.org>2018-07-14 21:03:06 +0100
commit8376ef56580626e9c0f796d5b85b53a0a1c7d5f5 (patch)
tree7681bbd4e8b05407772df40a4bf04cbbc8afc3fa /app-portage/mirrorselect/mirrorselect-9999.ebuild
parent30a9caf154332f12ca60756e1b75d2f0e3e1822d (diff)
gentoo resync : 14.07.2018
Diffstat (limited to 'app-portage/mirrorselect/mirrorselect-9999.ebuild')
-rw-r--r--app-portage/mirrorselect/mirrorselect-9999.ebuild43
1 files changed, 43 insertions, 0 deletions
diff --git a/app-portage/mirrorselect/mirrorselect-9999.ebuild b/app-portage/mirrorselect/mirrorselect-9999.ebuild
new file mode 100644
index 000000000000..4b49dae3c819
--- /dev/null
+++ b/app-portage/mirrorselect/mirrorselect-9999.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="5"
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+PYTHON_REQ_USE="xml"
+
+inherit eutils distutils-r1 git-r3 prefix
+
+EGIT_REPO_URI="git://anongit.gentoo.org/proj/mirrorselect.git"
+
+DESCRIPTION="Tool to help select distfiles mirrors for Gentoo"
+HOMEPAGE="https://wiki.gentoo.org/wiki/Mirrorselect"
+SRC_URI=""
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE=""
+
+KEYWORDS=""
+
+RDEPEND="
+ dev-util/dialog
+ net-analyzer/netselect
+ =dev-python/ssl-fetch-9999[${PYTHON_USEDEP}]
+ "
+
+python_prepare_all() {
+ python_export_best
+ eprefixify setup.py mirrorselect/main.py
+ echo Now setting version... VERSION="9999-${EGIT_VERSION}" "${PYTHON}" setup.py set_version
+ VERSION="9999-${EGIT_VERSION}" "${PYTHON}" setup.py set_version || die "setup.py set_version failed"
+ distutils-r1_python_prepare_all
+}
+
+pkg_postinst() {
+ distutils-r1_pkg_postinst
+
+ einfo "This is a development version."
+ einfo "Please report any bugs you encounter to:"
+ einfo "https://bugs.gentoo.org/"
+}